Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.mock.web.portlet
Class MockCacheControl

    java.lang.Object
      org.springframework.mock.web.portlet.MockCacheControl

All Implemented Interfaces:
  javax.portlet.CacheControl

    public class MockCacheControl

extends java.lang.Object
implements javax.portlet.CacheControl

Mock implementation of the `CacheControl` interface.

Since:
  3.0
Author:
  Juergen Hoeller

Constructor Summary
`MockCacheControl()`

Method Summary
`java.lang.String` | `getETag()`
`int` | `getExpirationTime()`
`boolean` | `isPublicScope()`
`void` | `setETag(java.lang.String token)`
`void` | `setExpirationTime(int time)`
`void` | `setPublicScope(boolean publicScope)`
`void` | `setUseCachedContent(boolean useCachedContent)`
`boolean` | `useCachedContent()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MockCacheControl

    public MockCacheControl()

Method Detail

### getExpirationTime

    public int getExpirationTime()

  Specified by:
    `getExpirationTime` in interface `javax.portlet.CacheControl`

### setExpirationTime

    public void setExpirationTime(int time)

  Specified by:
    `setExpirationTime` in interface `javax.portlet.CacheControl`

### isPublicScope

    public boolean isPublicScope()

  Specified by:
    `isPublicScope` in interface `javax.portlet.CacheControl`

### setPublicScope

    public void setPublicScope(boolean publicScope)

  Specified by:
    `setPublicScope` in interface `javax.portlet.CacheControl`

### getETag

    public java.lang.String getETag()

  Specified by:
    `getETag` in interface `javax.portlet.CacheControl`

### setETag

    public void setETag(java.lang.String token)

  Specified by:
    `setETag` in interface `javax.portlet.CacheControl`

### useCachedContent

    public boolean useCachedContent()

  Specified by:
    `useCachedContent` in interface `javax.portlet.CacheControl`

### setUseCachedContent

    public void setUseCachedContent(boolean useCachedContent)

  Specified by:
    `setUseCachedContent` in interface `javax.portlet.CacheControl`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD